#Module-Specific definitions
%define mod_name mod_cband
%define mod_conf A43_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Apache 2 Bandwidth Quota Module
Name:		apache-%{mod_name}
Version:	0.9.7.5
Release:	%mkrel 11
Group:		System/Servers
License:	GPL
URL:		http://cband.linux.pl/
Source0:	http://cband.linux.pl/download/mod-cband-%{version}.tar.bz2
Source1:	%{mod_conf}.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.2.0
Requires(pre):  apache >= 2.2.0
Requires:       apache-conf >= 2.2.0
Requires:       apache >= 2.2.0
BuildRequires:  apache-devel >= 2.2.0
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_cband is an Apache 2 module provided to solve the problem of
limiting users' and virtualhosts' bandwidth usage. When the
configured virtualhost's transfer limit is exceeded, mod_cband
will redirect all further requests to a location specified in the
configuration file. 

%prep

%setup -q -n mod-cband-%{version}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
cp src/* .

%{_sbindir}/apxs -Wc,-Wall -Wc,-DDST_CLASS=3 -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}/var/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}/var/www/html/addon-modules/%{name}-%{version}

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc conf/* AUTHORS Changes INSTALL LICENSE libpatricia.copyright
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
/var/www/html/addon-modules/*




%changelog
* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-11mdv2011.0
+ Revision: 678289
- mass rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-10mdv2011.0
+ Revision: 587947
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-9mdv2010.1
+ Revision: 516075
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-8mdv2010.0
+ Revision: 406559
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-7mdv2009.1
+ Revision: 325671
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-6mdv2009.0
+ Revision: 234836
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-5mdv2009.0
+ Revision: 215554
- fix rebuild

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-4mdv2008.1
+ Revision: 181710
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-3mdv2008.0
+ Revision: 82543
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-2mdv2007.1
+ Revision: 140655
- rebuild

* Fri Jan 12 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.5-1mdv2007.1
+ Revision: 107715
- 0.9.7.5

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.4-2mdv2007.0
+ Revision: 79370
- Import apache-mod_cband

* Sat Aug 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.4-2mdv2007.0
- rebuild

* Tue May 30 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.4-1mdv2007.0
- 0.9.7.4 (Minor bugfixes)

* Fri Apr 21 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.3-1mdk
- 0.9.7.3 (Minor bugfixes)

* Fri Feb 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.2-1mdk
- 0.9.7.2 (Minor bugfixes)

* Mon Jan 30 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.1-1mdk
- 0.9.7.1 (Minor security fixes)

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7.0-1mdk
- 0.9.7.0 (Minor bugfixes)

* Sun Jan 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.6.1-1mdk
- 0.9.6.1 (Major feature enhancements)

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.6.0-1mdk
- initial Mandriva package

